Subject: bug#49114: closed (Re: bug#49114: ‘guix lint’ should catch certificate validation exceptions)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 24 Jun 2021 21:45:02 +0000

Your bug report

#49114: ‘guix lint’ should catch certificate validation exceptions

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49114: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=49114
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#49114: ‘guix lint’ should catch certificate validation exceptions
From: Ludovic Courtès <[email-masked]>
To: Tobias Geerinckx-Rice <[email-masked]>
Cc: [email-masked]
Date: Thu, 24 Jun 2021 23:44:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

Tobias Geerinckx-Rice <[email-masked]> skribis:

> Ludovic Courtès 写道：
>> I don’t see these two packages in my checkout.  Do you have other
>> examples?
>
> Oh-kaay, I wonder what the devil went wrong there?  I wish I still had
> the original copy, but I don't.
>
> I wrote libndp and httping, of course :-D

Oh!  Fixed in 8a81ae61c183085b3a1edc4572d721ac5b2a581c.

Thanks,
Ludo’.

Subject: ‘guix lint’ should catch certificate validation exceptions
From: Tobias Geerinckx-Rice <[email-masked]>
To: Bug Guix <[email-masked]>
Date: Sat, 19 Jun 2021 13:29:48 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Guix,

The linter should obviously warn about TLS errors but it should 
not terminate processing.  See ‘guix lint ibndp’ or ‘guix lint 
ttping’, where the hostname and certificate CN/SAN don't match.

In any other situation Guix is probably right to throw a scary 
error and abort, even if hashes are our primary defence, not TLS.

Kind regards,

T G-R